SFML 3.0.2
Loading...
Searching...
No Matches
Classes | Namespaces | Functions
Listener.hpp File Reference
`#include <SFML/Audio/Export.hpp>`
`#include <SFML/System/Angle.hpp>`
`#include <SFML/System/Vector3.hpp>`

Go to the source code of this file.

## Classes

struct | sf::Listener::Cone
| Structure defining the properties of a directional cone. More...

## Namespaces

namespace | sf
namespace | sf::Listener
| The audio listener is the point in the scene from where all the sounds are heard.

## Functions

void | sf::Listener::setGlobalVolume (float volume)
| Change the global volume of all the sounds and musics.
float | sf::Listener::getGlobalVolume ()
| Get the current value of the global volume.
void | sf::Listener::setPosition (const Vector3f &position)
| Set the position of the listener in the scene.
Vector3f | sf::Listener::getPosition ()
| Get the current position of the listener in the scene.
void | sf::Listener::setDirection (const Vector3f &direction)
| Set the forward vector of the listener in the scene.
Vector3f | sf::Listener::getDirection ()
| Get the current forward vector of the listener in the scene.
void | sf::Listener::setVelocity (const Vector3f &velocity)
| Set the velocity of the listener in the scene.
Vector3f | sf::Listener::getVelocity ()
| Get the current forward vector of the listener in the scene.
void | sf::Listener::setCone (const Listener::Cone &cone)
| Set the cone properties of the listener in the audio scene.
Listener::Cone | sf::Listener::getCone ()
| Get the cone properties of the listener in the audio scene.
void | sf::Listener::setUpVector (const Vector3f &upVector)
| Set the upward vector of the listener in the scene.
Vector3f | sf::Listener::getUpVector ()
| Get the current upward vector of the listener in the scene.